Package ru.bitel.bgbilling.modules.bill.server.bean

# Class ExtractorPositionValue

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.PositionValue
ru.bitel.bgbilling.modules.bill.server.bean.ExtractorPositionValue

All Implemented Interfaces:
  `ContractIdable`

public class ExtractorPositionValue extends PositionValue

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ExtractorPositionValue.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtractorPositionValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExtractorPositionValue.Builder`
  `builder()`
  `int`
  `getModuleId()`
  `int`
  `getServiceId()`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `toElement(XMLStreamWriter el)`
  `void`
  `toElement(Element el)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.PositionValue

  `getCid, getContractId, getCost, getExtractPositions, getName, getNds, getParams, getPosition, getPositionId, getQtyNumsAfterComma, getQtyNumsRoundingMode, getQuantity, getSum, getSumScaled, getSumUnscaled, getUnit, getUnitCode, isAddWhenLessZero, isInSumm, setAddWhenLessZero, setCid, setContractId, setCost, setExtractPositions, setInSumm, setName, setNds, setParams, setPosition, setPositionId, setQtyNumsAfterComma, setQtyNumsRoundingMode, setQuantity, setSum, setSumScaled, setSumUnscaled, setUnit, setUnitCode, toDocumentPosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtractorPositionValue

    public ExtractorPositionValue()

- ## Method Details

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### toElement

    public void toElement(Element el)
    Overrides:
      `toElement` in class `PositionValue`

  - ### toElement

    public void toElement(XMLStreamWriter el) throws XMLStreamException
    Overrides:
      `toElement` in class `PositionValue`
    Throws:
      `XMLStreamException`

  - ### builder

    public static ExtractorPositionValue.Builder builder()